org.tmatesoft.svn.core.wc

## Interface ISVNInfoHandler

- All Known Implementing Classes:
    SVNXMLInfoHandler

      public interface ISVNInfoHandler

  The ISVNInfoHandler interface should be implemented in order to be further provided to some of SVNWCClient's doInfo() methods to process information about Working Copy as well as remote (located in a repository) items.

  When running a info operation using an info handler an SVNWCClient's doInfo() method generates an SVNInfo object per each interesting item and dispatches that object to the info handler where it's up to a developer to retrieve detailes from the SVNInfo object and interprete them in a desired way.

  All calls to a handleInfo() method are synchronous - that is the caller is blocked till the method finishes.

  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    `SVNWCClient`, `SVNInfo`, Examples

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleInfo(SVNInfo info)` Handles item's information using an SVNInfo object.

- - ### Method Detail

    - #### handleInfo

          void handleInfo(SVNInfo info)
                          throws SVNException

      Handles item's information using an SVNInfo object.
      Parameters:
        `info` - an object that contain's item's information details
      Throws:
        `SVNException`